<?xml version="1.0" encoding="UTF-8"?>
<node>
	<title>Classes CodeMirror génériques</title>
	<section>
		<p>Classes génériques de Codemirror utilisés pour la coloration syntaxique</p>
		<ul variant="dl">
			<li>
				<p><s type="code" att-class="cm-ficheblock-attvalue">cm-atom</s></p>
				<p>Terme suivant un format spécifique (<s type="code" att-class="cm-atom">:symbol</s>)</p>
			</li>
			<li>
				<p><s type="code" att-class="cm-ficheblock-attvalue">cm-attribute</s></p>
				<p>Attribut de balise (<s type="code" att-class="cm-attribute">type</s>)</p>
			</li>
			<li>
				<p><s type="code" att-class="cm-ficheblock-attvalue">cm-bracket</s></p>
				<p>Crochets (<s type="code" att-class="cm-bracket">()[]</s>)</p>
			</li>
			<li>
				<p><s type="code" att-class="cm-ficheblock-attvalue">cm-builtin</s></p>
				<p>Éléments prédéfinis ou structurants (p.e. identifiant HTML), programme du système (<s type="code" att-class="cm-builtin">builtin</s>)</p>
			</li>
			<li>
				<p><s type="code" att-class="cm-ficheblock-attvalue">cm-comment</s></p>
				<p>Commentaire (<s type="code" att-class="cm-comment">#Commentaire</s>)</p>
			</li>
			<li>
				<p><s type="code" att-class="cm-ficheblock-attvalue">cm-def</s></p>
				<p>Définition de fonctions, de classes (<s type="code" att-class="cm-def">getFiche</s>)</p>
			</li>
			<li>
				<p><s type="code" att-class="cm-ficheblock-attvalue">cm-em</s></p>
				<p>Mise en italique (<s type="code" att-class="cm-em">texte</s>)</p>
			</li>
			<li>
				<p><s type="code" att-class="cm-ficheblock-attvalue">cm-error</s></p>
				<p>Erreur (<s type="code" att-class="cm-error">wrong</s>)</p>
			</li>
			<li>
				<p><s type="code" att-class="cm-ficheblock-attvalue">cm-header</s></p>
				<p>Titre de section (<s type="code" att-class="cm-header">[config]</s>)</p>
			</li>
			<li>
				<p><s type="code" att-class="cm-ficheblock-attvalue">cm-hr</s></p>
				<p>Séparateur (<s type="code" att-class="cm-hr">hr</s>)</p>
			</li>
			<li>
				<p><s type="code" att-class="cm-ficheblock-attvalue">cm-invalidchar</s></p>
				<p>Caractère non valide (<s type="code" att-class="cm-invalidchar">Ç</s>)</p>
			</li>
			<li>
				<p><s type="code" att-class="cm-ficheblock-attvalue">cm-keyword</s></p>
				<p>Terme particulier au domaine concerné (<s type="code" att-class="cm-keyword">true</s>, <s type="code" att-class="cm-keyword">if</s>)</p>
			</li>
			<li>
				<p><s type="code" att-class="cm-ficheblock-attvalue">cm-link</s></p>
				<p>Lien internet, chemin d’un fichier (<s type="code" att-class="cm-link">/path/to/resource</s>)</p>
			</li>
			<li>
				<p><s type="code" att-class="cm-ficheblock-attvalue">cm-meta</s></p>
				<p>Métadonnées (<s type="code" att-class="cm-meta">@import</s>)</p>
			</li>
			<li>
				<p><s type="code" att-class="cm-ficheblock-attvalue">cm-negative</s></p>
				<p>Valeur négative (<s type="code" att-class="cm-negative">-45</s>)</p>
			</li>
			<li>
				<p><s type="code" att-class="cm-ficheblock-attvalue">cm-number</s></p>
				<p>Nombre (<s type="code" att-class="cm-number">239</s>)</p>
			</li>
			<li>
				<p><s type="code" att-class="cm-ficheblock-attvalue">cm-operator</s></p>
				<p>Opérateur (<s type="code" att-class="cm-operator">=+-</s>)</p>
			</li>
			<li>
				<p><s type="code" att-class="cm-ficheblock-attvalue">cm-positive</s></p>
				<p>Valeur positive (<s type="code" att-class="cm-positive">45</s>)</p>
			</li>
			<li>
				<p><s type="code" att-class="cm-ficheblock-attvalue">cm-property</s></p>
				<p>Nom de propriété (<s type="code" att-class="cm-property">display</s>)</p>
			</li>
			<li>
				<p><s type="code" att-class="cm-ficheblock-attvalue">cm-punctuation</s></p>
				<p>Charactère de ponctuation (<s type="code" att-class="cm-punctuation">{}</s>)</p>
			</li>
			<li>
				<p><s type="code" att-class="cm-ficheblock-attvalue">cm-qualifier</s></p>
				<p>Qualificatif (p.e. classe CSS) (<s type="code" att-class="cm-qualifier">.CodeMirror</s>)</p>
			</li>
			<li>
				<p><s type="code" att-class="cm-ficheblock-attvalue">cm-quote</s></p>
				<p>Valeur d’une propriété (<s type="code" att-class="cm-quote">left</s>)</p>
			</li>
			<li>
				<p><s type="code" att-class="cm-ficheblock-attvalue">cm-strikethrough</s></p>
				<p>Mots barrés (<s type="code" att-class="cm-strikethrough">supprimé</s>)</p>
			</li>
			<li>
				<p><s type="code" att-class="cm-ficheblock-attvalue">cm-string</s></p>
				<p>Chaine de caractères (<s type="code" att-class="cm-string">&quot;premier type&quot;</s>)</p>
			</li>
			<li>
				<p><s type="code" att-class="cm-ficheblock-attvalue">cm-string-2</s></p>
				<p>Chaine de caractères de deuxième type (<s type="code" att-class="cm-string-2">&quot;deuxième type&quot;</s>)</p>
			</li>
			<li>
				<p><s type="code" att-class="cm-ficheblock-attvalue">cm-strong</s></p>
				<p>Texte en gras (<s type="code" att-class="cm-strong">important</s>)</p>
			</li>
			<li>
				<p><s type="code" att-class="cm-ficheblock-attvalue">cm-tag</s></p>
				<p>Balise HTML ou XML (<s type="code" att-class="cm-tag">&lt;body&gt;</s>)</p>
			</li>
			<li>
				<p><s type="code" att-class="cm-ficheblock-attvalue">cm-type</s></p>
				<p>Type d’élément (<s type="code" att-class="cm-type">integer</s>)</p>
			</li>
			<li>
				<p><s type="code" att-class="cm-ficheblock-attvalue">cm-variable</s></p>
				<p>Variable informatique (<s type="code" att-class="cm-variable">var1</s>)</p>
			</li>
			<li>
				<p><s type="code" att-class="cm-ficheblock-attvalue">cm-variable-2</s></p>
				<p>Variable de deuxième type (<s type="code" att-class="cm-variable-2">var2</s>)</p>
			</li>
			<li>
				<p><s type="code" att-class="cm-ficheblock-attvalue">cm-variable-3</s></p>
				<p>Variable de troisième type (<s type="code" att-class="cm-variable-3">var3</s>)</p>
			</li>
		</ul>
	</section>
</node>